Skip to main content
GET
/
api
/
v1
/
metrics
List billable metrics
curl --request GET \
  --url https://api.example.com/api/v1/metrics \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "aggregation_type": "COUNT",
      "code": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "id": "<string>",
      "name": "<string>",
      "aggregation_key": "<string>",
      "archived_at": "2023-11-07T05:31:56Z",
      "description": "<string>"
    }
  ],
  "pagination_meta": {
    "page": 1,
    "per_page": 1,
    "total_items": 1,
    "total_pages": 1
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

product_family_id
string<MeteroidId>
Example:

"pf_7n42DGM5Tflk9n8mt7Fhc7"

page
integer<int32>

Page number (0-indexed)

Required range: x >= 0
per_page
integer<int32>

Number of items per page

Required range: 1 <= x <= 100

Response

List of metrics

data
object[]
required
pagination_meta
object
required